Package org.apache.sysds.runtime.matrix.operators

# Class UnaryOperator

java.lang.Object
org.apache.sysds.runtime.matrix.operators.Operator
org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator
org.apache.sysds.runtime.matrix.operators.UnaryOperator

All Implemented Interfaces:
  `Serializable`

public class UnaryOperator extends MultiThreadedOperator

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`final ValueFunction`
`fn`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

## Constructor Summary

Constructors
Constructor
Description
`UnaryOperator(ValueFunction p)`
`UnaryOperator(ValueFunction p, int k)`
`UnaryOperator(ValueFunction p, int numThreads, boolean inPlace)`

## Method Summary

Modifier and Type
Method
Description
`double`
`getPattern()`
`boolean`
`isInplace()`

### Methods inherited from class org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator

`getNumThreads, setNumThreads`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fn

public final ValueFunction fn

## Constructor Details

### UnaryOperator

public UnaryOperator(ValueFunction p)

### UnaryOperator

public UnaryOperator(ValueFunction p, int k)

### UnaryOperator

public UnaryOperator(ValueFunction p, int numThreads, boolean inPlace)

## Method Details

### isInplace

public boolean isInplace()

### getPattern

public double getPattern()